/Users/bernard/b20/bsoft/include/mol_param.h(3)

NAME
/Users/bernard/b20/bsoft/include/mol_param.h - Header for functions to extract parameters from coordinate files.

SYNOPSIS

#include 'rwmolecule.h'
#include 'rwmd.h'

  Functions
Batomtype * molgroup_get_atom_types (Bmolgroup *molgroup, int elements)
Obtains atomic types from molecule groups.
Bmd * md_calculate_parameters (Bmolgroup *molgroup, int elements, int show_bond, int show_angle)
Calculates atomic parameters from molecule groups.

Detailed Description

Header for functions to extract parameters from coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 20050304

    Modified: 20090226

Definition in file mol_param.h.

Function Documentation

  Bmd* md_calculate_parameters (Bmolgroup * molgroup, int elements, int show_bond, int show_angle)

Calculates atomic parameters from molecule groups.

Parameters:
    *molgroup molecule group.
    elements flag to take atom types from element records.
    show_bond flag to show bonds.
    show_angle flag to show angles.

Returns:
    Bmd* molecular dynamics object, NULL on failure.

Definition at line 73 of file mol_param.cpp.

  Batomtype* molgroup_get_atom_types (Bmolgroup * molgroup, int elements)

Obtains atomic types from molecule groups.

Parameters:
    *molgroup molecule group.
    elements flag to take atom types from element records.

Returns:
    Batomtype* atom property structure, NULL on failure.

Definition at line 26 of file mol_param.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.